| Home | Libraries | People | FAQ | More

##### segments_encoded_ref::back

(Inherited from `segments_encoded_base`)

Return the last segment.

###### Synopsis

    pct_string_view
    back() const;

###### Description

This function returns a string with the last segment of the path without any leading or trailing '/' separators. The returned string may contain percent escapes.

###### Preconditions

    this->empty() == false

###### Example

    assert( url_view( "/path/to/file.txt" ).encoded_segments().back() == "file.txt" );

###### Preconditions

    this->empty() == false

###### Effects

    return *--end();

###### Complexity

Constant.

###### Exception Safety

Throws nothing.